#pragma once
#ifndef CSLOREADER_H
#define CSLOREADER_H

#include "SYOReader.h"

class CSLOReader :
	public CSYOReader
{
public:
	CSLOReader(CReader *Owner, CBaseCommunication *Communicator);
	virtual ~CSLOReader(void);


protected:
	virtual void SetHWString(char *String);
	virtual void GetProductString(uint8_t *Product);
	virtual void CompressModifyStructure(CCID_Message& Message);
	virtual CJ_RESULT CtSetSilentMode(bool boolMode, bool *pboolMode, uint32_t *Result);
	virtual CJ_RESULT CtGetSilentMode(bool *pboolMode, uint32_t *Result);
	virtual bool HastModulestoreInfo();
};

#endif
